<?php

function intense_get_border_array( $border ) {
	//parse border parts from $value and set the size, style, and color
	$parts = explode( ' ', $border );

	if ( empty( $border ) || count( $parts ) < 3 ) {
		$parts = array('', '', '');
	}

	return array(
		'width' => $parts[0],
		'style' => $parts[1],
		'color' => $parts[2],
	);
}